
OPTION		=	# ex. -DGNU_AOUT_TOO
#if ACK
CFLAGS 		=-O $(OPTION)
LD		=asld
LDFLAGS		=-i -s
LIBS		=/usr/lib/libc.a
#define 	O	s
START		=/usr/lib/head.O
END		=/usr/lib/end.O
#else

#define 	O	o
#if SELF386
#undef i386
#endif
CFLAGS		=-3 -DINTEL_32BITS $(OPTION)
LD		=ld
LDFLAGS		=-3 -i
LIBS		=/usr/local/lib/i386/libc.a
START		=/usr/local/lib/i386/head.O
END		=
#endif

i		=/usr/include
s		=/usr/include/sys
h		=/usr/include/minix

a		=mm.h $h/config.h $h/const.h $h/type.h \
		 $s/types.h $i/limits.h $i/errno.h \
		 const.h type.h proto.h glo.h makefile

obj =	main.O forkexit.O break.O exec.O signal.O  \
	alloc.O utility.O table.O putc.O trace.O getset.O


#if ACK
mm: $(START) $(obj) $(LIBS) $(END)
	$(LD) $(LDFLAGS) -o mm \
	$(START) \
	$(obj) \
	$(LIBS) $(END) >symbol.out
	ast -X mm
	@rm symbol.out

#else
mm: $(START) $(obj) $(LIBS)
	$(LD) $(LDFLAGS) -o mm \
	$(START) \
	$(obj) \
	$(LIBS)

#endif

Z:
	tar cvfz /tmp/mm.Z makefile.cpp *.[hc]

lzh:
	lharc a /tmp/mm makefile.cpp *.[hc]

clean:
	rm -f $(obj) *.bak *~ mm symbol.out


alloc.O:	$a

break.O:	$a
break.O:	$i/signal.h
break.O:	mproc.h
break.O:	param.h

exec.O:		$a
exec.O:		$s/stat.h
exec.O:		$h/callnr.h
exec.O:		mproc.h
exec.O:		param.h

forkexit.O:	$a
forkexit.O:	$h/callnr.h
forkexit.O:	mproc.h
forkexit.O:	param.h

getset.O:	$a
getset.O:	$h/callnr.h
getset.O:	mproc.h
getset.O:	param.h

main.O:		$a
main.O:		$h/callnr.h
main.O:		$h/com.h
main.O:		mproc.h
main.O:		param.h

putc.O:		$a
putc.O:		$h/com.h

signal.O:	$a
signal.O:	$s/stat.h
signal.O:	$i/signal.h
signal.O:	$h/callnr.h
signal.O:	$h/com.h
signal.O:	mproc.h
signal.O:	param.h

table.O:	$a
table.O:	$h/callnr.h
table.O:	mproc.h
table.O:	param.h

trace.O:	$a
trace.O:	$i/signal.h
trace.O:	mproc.h
trace.O:	param.h

utility.O:	$a
utility.O:	$s/stat.h
utility.O:	$h/callnr.h
utility.O:	$h/com.h
utility.O:	mproc.h
